# cctuip

> Co-op Cloud TUI prototype 🎉

This is a prototype to gather some feedback.

## Features

* `abra app ls` compatibility. It does not query `-S` unless you press
  `s` (like passing `-S` on the CLI) so that initial loading times are
  real fast (because we only query local-first data in `~/.abra`).

* Fuzzy search against domain, server and recipe.

## Controls

* `up/down`: scroll up / down (`jk` vim bindings also work)
* `page up/down`: ;page up down (`ctrl+u/d` vim binding also work)
* `/`: fuzzy filter against domain, server & recipe
* `enter`: focus on table, select row, confirm
* `esc`: reset filter
* `s`: retrieve app deployment status (filter first to reduce scope)

## Hack

```
go run cctuip.go
```
